Loading...
Searching...
No Matches
rig_callbacks Struct Reference
Rig (transceiver) API

Callback functions and args for rig event. More...

`#include <rig.h>`

## Data Fields

freq_cb_t | freq_event
rig_ptr_t | freq_arg
mode_cb_t | mode_event
rig_ptr_t | mode_arg
vfo_cb_t | vfo_event
rig_ptr_t | vfo_arg
ptt_cb_t | ptt_event
rig_ptr_t | ptt_arg
dcd_cb_t | dcd_event
rig_ptr_t | dcd_arg
pltune_cb_t | pltune
rig_ptr_t | pltune_arg
spectrum_cb_t | spectrum_event
rig_ptr_t | spectrum_arg

## Detailed Description

Callback functions and args for rig event.

Some rigs are able to notify the host computer the operator changed the freq/mode from the front panel, depressed a button, etc.

Events from the rig are received through async io, so callback functions will be called from the SIGIO sighandler context.

Don't set these fields directly, use rig_set_freq_callback() et. al. instead.

Callbacks suit event based programming very well, really appropriate in a GUI.

See also
  rig_set_dcd_callback(), rig_set_freq_callback(), rig_set_mode_callback(), rig_set_pltune_callback(), rig_set_ptt_callback(), rig_set_spectrum_callback(), rig_set_vfo_callback()

## Field Documentation

## dcd_arg

rig_ptr_t rig_callbacks::dcd_arg

DCD change argument

## dcd_event

dcd_cb_t rig_callbacks::dcd_event

DCD change event

## freq_arg

rig_ptr_t rig_callbacks::freq_arg

Frequency change argument

## freq_event

freq_cb_t rig_callbacks::freq_event

Frequency change event

## mode_arg

rig_ptr_t rig_callbacks::mode_arg

Mode change argument

## mode_event

mode_cb_t rig_callbacks::mode_event

Mode change event

## pltune

pltune_cb_t rig_callbacks::pltune

Pipeline tuning module freq/mode/width callback

## pltune_arg

rig_ptr_t rig_callbacks::pltune_arg

Pipeline tuning argument

## ptt_arg

rig_ptr_t rig_callbacks::ptt_arg

PTT change argument

## ptt_event

ptt_cb_t rig_callbacks::ptt_event

PTT change event

## spectrum_arg

rig_ptr_t rig_callbacks::spectrum_arg

Spectrum line reception argument

## spectrum_event

spectrum_cb_t rig_callbacks::spectrum_event

Spectrum line reception event

## vfo_arg

rig_ptr_t rig_callbacks::vfo_arg

VFO change argument

## vfo_event

vfo_cb_t rig_callbacks::vfo_event

VFO change event

The documentation for this struct was generated from the following file:

- rig.h